What kind of Android Device Can I Use?

System requirements for running the Hawkin Capture app on Android devices

Most modern Android devices are capable of running the Hawkin Capture App - the only requirement is that their operating system is AT LEAST Android 7.0. 

We typically recommend against purchasing the lowest cost device - low cost devices will run the app, but performance will be diminished and there is the possibility of running into system lag when collecting data and uploading to the cloud.  

If you have questions about device compatibility, please reach out to us at support@hawkindynamics.com